<?php
define('PHPCC', true);
define('SITE', 'home.php');
$base_dir = "../";

include( '../includes/common.php' );
include( './header.php');

if( $_SESSION['rank'] != 1 )
{
  header("Location: ../index.php");
}
else
{
  
  $template->set_filenames(array(
    'index' => 'index.tpl'
  ));
  
  $sql = query( "SELECT COUNT(id) AS id FROM news" );
  $news = fetch( $sql );
  
  $sql = query( "SELECT COUNT(id) AS id FROM guestbook" );
  $gb = fetch( $sql );
  
  $sql = query("SELECT COUNT(id) AS id FROM privmsg");
  $privmsg = fetch($sql);
  
  $sql = query( "SELECT COUNT(id) AS user FROM userdata" );
  $user = fetch( $sql );

  $total_users = $user['user'];
  $days = (time() - $config_table['startdate']) / 86400;
  $perday = sprintf('%.2f', $total_users/$days);
  
  if ($perday > $total_users)
  {
    $perday = $total_users;
  }

  $dir = '../'.$config_table['userpics_upload_dir'];
  $avas = 0;
  $file_size = 0;
  
  $dirs = opendir($dir);
  while(false != ( $file = readdir( $dirs ) ) ) 
  {
    if( $file != "." && $file != ".." )
    {
      $avas++;
      $file_size += filesize($dir.$file);
      $round = round(($file_size/1024), 2);
      $round .= " KB";
  
      if( $round >= 1024 )
      {
        $round = $round / 1024;
        $round .= " MB";
      }
    }
  }
    
  function byte_to_kb($dbsize) 
  {
    if( $dbsize >= 1048576 )
    {
      $dbsize = sprintf("%.2f MB", ( $dbsize / 1048576 ));
    }
    else if( $dbsize >= 1024 )
    {
      $dbsize = sprintf("%.2f KB", ( $dbsize / 1024 ));
    }
    else
    {
      $dbsize = sprintf("%.2f Bytes", $dbsize);
    }
    return $dbsize;
  }
  $sql = "SHOW table status";
  $res = query($sql) or die ( mysql_error() );
  
  $db_size = 0;

  while ($row = fetch($res))
  {
    $data_size = $row["Data_length"];  
    $index_size = $row["Index_length"];
  
    $table_size = $data_size + $index_size;
  
    $db_size += $table_size;
  } 
  
  if($config_table['gzip'] == 1)
    $gzip = "Aktiviert"; 
  else
    $gzip = "Deaktiviert";
  
  $template->assign_vars(array(
    'L_STATISTICS' => 'Statistik',
    'L_VALUE' => 'Wert',
    'L_USERNAME' => $lang['username'],
    'L_REG_DATE' => 'Registrationsdatum',
    'L_ACTIVATE' => 'Aktivieren',
  
    'NEWS' => $news['id'],
    'GB' => $gb['id'],
    'PRIVMSG' => $privmsg['id'],
    'TOTAL_USER' => $total_users,
    'STARTDATE' => Texts::mkdate($config_table['startdate']),
    'GZIP' => $gzip,
    'PERDAY' => $perday,
    'DB_SIZE' => byte_to_kb($db_size),
    'AVAS' => $avas,
    'AVA_SIZE' => $round,
    'ONLINE_USERS' => $_STATS['user_online']   
  ));
  
  $sql = query("SELECT id,username,reg_date FROM ".USER_TABLE." WHERE activ = 0");
  while($row = fetch($sql))
  {
    $class = ($i%2 != 0) ? "row2" : "row1";
    $template->assign_block_vars('activate', array(
      'CLASS' => $class,
      'USERNAME' => $row['username'],
      'REG_DATE' => Texts::mkdate($row['reg_date']),
      
      'A_ACTIVATE' => 'user.php?activate='.$row['id'].''
    ));
    $i++;
  }
}
$template->pparse('index');
include('footer.php');
?>
