<?php
/**
 *    www.phpcc.at
 *    phpCC - Creating Community's 
 *  
 *    Modul: Index (index.php)
 *    
 *    Create: 29.07.2005, 09:56:02
 *  
 */ 

define('PHPCC', true);
define('SITE', 'index.php');

$base_dir = "./";
include( $base_dir . "includes/common.php" );
include( $base_dir . "includes/header.php" );

$template->set_filenames(array(
  'index'=> 'index.tpl'
));

if( $config_table['allow_news'] == 0 )
{
  $template->assign_block_vars('switch_allow_news', array(
    'NEWS_MSG' => $config_table['news_msg']
  ));
    
  $template->pparse('index');
  include('includes/footer.php');
  exit;
}

$sql = query("SELECT id FROM ".NEWS_TABLE."");
$rows = count_rows($sql);
if( $rows <= 0 )
{
  error_msg('Keine News vorhanden');
  include('includes/footer.php');
  exit;
}

$sql = query( "SELECT * FROM " . NEWS_TABLE . " ORDER BY id DESC" );   
while( $row = fetch($sql) )
{
  $template->assign_block_vars('news', array(
    'ID' => $row['id'],
    'USERNAME' => $row['username'],
    'DATE' => Texts::mkdate($row['date']),
    'TITLE' => $row['title'],
    'MSG' => Texts::bbcodes(nl2br(htmlspecialchars($row['article']))),
    ));
}

$template->assign_vars(array(
  'SITENAME' => $sitename,
  'NEWS_MSG' => $config_table['news_msg'],
  
  'PAGE' => $lang['page'],

));

$template->pparse('index');
include('includes/footer.php');

?>