<?php
/**
 *    www.phpcc.at
 *    phpCC - Creating Community's 
 *  
 *    Modul: Private Message System (privmsg.php)
 *    
 *    Create: 09.08.2005, 09:53
 *  
 */
 
define('PHPCC', true);
define('SITE', 'privmsg.php');

$base_dir = "./";
include( $base_dir . "includes/common.php" );
include( $base_dir . "includes/header.php" );
include_once($base_dir."classes/privmsg.php");

$msg = intval( $msg );
if( $_SESSION['username'] == '' )
{
  redirect('login.php?action=logon');
}

if( $config_table['allow_privmsg'] ==  0 )
{
  error_msg('Das Private Nachrichten System wurde von dem Administrator deaktiviert!'); 
  include('includes/footer.php');
  exit;
}  

$template->set_filenames(array(
  'default' => 'privmsg.tpl',
  'send_privmsg' => 'send_privmsg.tpl',
  'read_privmsg' => 'read_privmsg.tpl'
));

switch( $_GET['action'] )
{
  case 'post':
    $privmsgs->send($_POST['to'],$_SESSION['username'],$_POST['subject'],$_POST['message']);
  break; 
  
  case 'delete':
  	$privmsgs->delete($_GET['msg']);  	 	
  break;
  
  default:  
    if( $_GET['page'] != 'post' )
    {
      $sql = query( "SELECT id FROM " . PRIVMSG_TABLE . " WHERE user_id = ".$_SESSION['id']."");
      if( !count_rows( $sql ) )
      {  
        error_msg('Keine Private Messages vorhanden!');
        include('includes/footer.php');
        exit;
      }
      
      $template->assign_vars(array(
        'L_VIEW_PRIVMSG' => 'Privat Message ansehen',
        'L_SUBJECT' => 'Betreff',
        'L_SENDER' => 'Absender',
        'L_DATE' => 'Datum'
      ));
      
      $sql = query("SELECT COUNT(id) AS id FROM ".PRIVMSG_TABLE." WHERE user_id = '".$_SESSION['id']."'");
      $row = fetch($sql);
        
      $sql = query("SELECT * FROM " . PRIVMSG_TABLE . " WHERE user_id = '".$_SESSION['id']."' ORDER BY date DESC LIMIT ".$config_table['max_pm']."");   
      
      while( $row = fetch( $sql ) ) 
      {           
        $pm_viewed = ($row['new'] == 1) ? '<b><font color="red">Neu</font></b>' : false;
        $class = ($i%2 != 0) ? "row2" : "row1";
        
        $template->assign_block_vars('default',array(
        
         'A_READ' => 'privmsg.php?action=readmsg&msg='.$row['id'].'',
         'A_ANSWER' => 'privmsg.php?page=post&u='.$row['from'].'',
          
          'NEW_PM' => $pm_viewed,
          'CLASS' => $class,
          'ID' => $row['id'],
          'SUBJECT' => $row['subject'],
          'FROM' => $row['from'],
          'DATE' => Texts::mkdate($row['date'])
        ));
        $i++;
      } 
      $template->pparse('default');
    }
    else
    {
      $template->assign_vars(array(
        'L_SEND_PRIVMSG' => 'Privat Message senden',
        'L_SUBJECT' => 'Betreff',
        'L_RECEIVER' => 'Empfnger',
        'L_MESSAGE' => 'Nachricht',
        'L_SUBMIT' => $lang['submit'],
        
        'A_SEND_PRIVMSG' => 'privmsg.php?action=post&u='.$_POST['receiver'].'',
        
        'V_U' => $_GET['u'],
        'V_SUBJECT' => $_POST['subject'],
        'V_MESSAGE' => $_POST['message']
      ));
      
      $template->pparse('send_privmsg');
    }
  break;
  
  case 'readmsg':
       
    $sql = query( "SELECT * FROM " . PRIVMSG_TABLE . " WHERE id = '".$_GET['msg']."'");
    $row = fetch( $sql );
    
    $sql = query( "UPDATE " . PRIVMSG_TABLE . " SET new = 0 WHERE user_id = '".$_SESSION['id']."' AND id = '".$_GET['msg']."'" );
    
    $template->assign_vars(array(
      'L_READ_PRIVMSG' => 'Privat Message lesen',
      'L_DATE' => 'Verfasst am',
      'L_SENDER' => 'Von',
      'L_SUBJECT' => 'Betreff',
      'L_MESSAGE' => 'Nachricht',
      'L_DELETE' => 'Lschen',
      
      'A_DELETE' => 'privmsg.php?action=delete&msg='.$msg.'',
      
      'USER_ID' => $row['user_id'],
      'SENDER' => $row['from'],
      'SUBJECT' => $row['subject'],
      'DATE' => Texts::mkdate($row['date']),
      'MESSAGE' => $row['message']
    ));
    
    $template->pparse('read_privmsg');

  break; 
}

include( $base_dir . "includes/footer.php"); 

?>